|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.opencms.workplace.CmsWorkplace
org.opencms.workplace.tools.CmsToolDialog
org.opencms.workplace.CmsDialog
org.opencms.workplace.CmsMultiDialog
org.opencms.workplace.commons.CmsMove
public class CmsMove
Provides methods for the move resources dialog.
The following files use this class:
| Field Summary | |
|---|---|
static int |
ACTION_MOVE
Value for the action: move resource. |
static String |
DIALOG_TYPE
The dialog type. |
static String |
PARAM_OVERWRITE
Request parameter name for the overwrite flag. |
| Fields inherited from class org.opencms.workplace.CmsMultiDialog |
|---|
DELIMITER_RESOURCES, PARAM_RESOURCELIST |
| Fields inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
PARAM_BASE, PARAM_PATH, PARAM_ROOT, PARAM_STYLE, STYLE_NEW |
| Constructor Summary | |
|---|---|
CmsMove(CmsJspActionElement jsp)
Public constructor with JSP action element. |
|
CmsMove(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
Public constructor with JSP variables. |
|
| Method Summary | |
|---|---|
void |
actionMove()
Performs the move action, will be called by the JSP page. |
String |
buildMoveOptions()
Builds the available options when moving. |
String |
getCurrentResourceName()
Returns the current name of the resource without path information. |
String |
getParamOverwrite()
Returns the value of the overwrite parameter. |
String |
getParamTarget()
Returns the value of the target parameter, or null if this parameter was not provided. |
protected void |
initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
Analyzes the request for workplace parameters and adjusts the workplace settings accordingly. |
protected boolean |
performDialogOperation()
Performs the resource moving. |
protected void |
performSingleMoveOperation(String source,
String target,
String sitePrefix,
boolean overwrite)
Performs the move operation for a single VFS resource. |
void |
setParamOverwrite(String paramOverwrite)
Sets the value of the overwrite parameter. |
void |
setParamTarget(String value)
Sets the value of the target parameter. |
| Methods inherited from class org.opencms.workplace.CmsMultiDialog |
|---|
addMultiOperationException, buildResourceList, checkMultiOperationException, checkResourcePermissions, getParamResourcelist, getResourceList, isMultiOperation, isOperationOnFolder, setDialogTitle, setParamResourcelist |
| Methods inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
dialogTitle, getAdminTool, getCurrentToolPath, getParamBase, getParamPath, getParamRoot, getParamStyle, getParentPath, getToolManager, iconsBlockArea, iconsBlockAreaEnd, iconsBlockAreaStart, initAdminTool, pageBody, pageHtmlStyle, setParamBase, setParamPath, setParamRoot, setParamStyle, useNewStyle |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public static final int ACTION_MOVE
public static final String DIALOG_TYPE
public static final String PARAM_OVERWRITE
| Constructor Detail |
|---|
public CmsMove(CmsJspActionElement jsp)
jsp - an initialized JSP action element
public CmsMove(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
context - the JSP page contextreq - the JSP requestres - the JSP response| Method Detail |
|---|
public void actionMove()
throws JspException
JspException - if problems including sub-elements occurpublic String buildMoveOptions()
public String getCurrentResourceName()
This is used to preset the input text field with the current resource name for single resource operations.
public String getParamOverwrite()
public String getParamTarget()
The target parameter selects the target name of the operation.
public void setParamOverwrite(String paramOverwrite)
paramOverwrite - the value of the overwrite parameterpublic void setParamTarget(String value)
value - the value to set
protected void initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
CmsWorkplace
initWorkplaceRequestValues in class CmsDialogsettings - the workplace settingsrequest - the current requestCmsWorkplace.initWorkplaceRequestValues(org.opencms.workplace.CmsWorkplaceSettings, javax.servlet.http.HttpServletRequest)
protected boolean performDialogOperation()
throws CmsException
performDialogOperation in class CmsMultiDialogCmsException - if moving is not successful
protected void performSingleMoveOperation(String source,
String target,
String sitePrefix,
boolean overwrite)
throws CmsException
source - the source VFS pathtarget - the target VFS pathsitePrefix - the site prefixoverwrite - the overwrite flag
CmsException - if moving the resource fails
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||